package com.cardiff.client_project.mapper;

import com.cardiff.client_project.pojo.entity.Patient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Repository;

@Repository
public class PatientMapper {

    @Autowired
    JdbcTemplate jdbcTemplate;
    /**
     * update patient data
     * @param patient
     * @return
     */
    public int update(Patient patient) {
        String sql = "UPDATE patient SET name = ?,phone = ?, age=?, email=?, status = ?,hospitalId =? WHERE id = ?";
        int update = jdbcTemplate.update(sql, preparedStatement -> {
            preparedStatement.setString(1, patient.getName());
            preparedStatement.setString(2, patient.getPhone());
            preparedStatement.setInt(3, patient.getAge());
            preparedStatement.setString(4, patient.getEmail());
            preparedStatement.setInt(5, patient.getStatus());
            preparedStatement.setInt(6, patient.getHospitalId());
            preparedStatement.setInt(7, patient.getId());
        });
        return update;
    }
}
